{% set grid_size = theme_var('grid-size') %}
{% set columns = page.header.class == 'small' ? 'col-3 col-md-4 col-sm-6' : 'col-4 col-md-6 col-sm-12'  %}
<section class="section modular-features {{ page.header.class}}">
  <section class="container {{ grid_size }}">

    {{ content|raw }}
    <div class="columns">
    {% for lecturer in page.header.lecturers %}
       <div class="column {{ columns }}">
          {% if lecturer.url %}<a href="{{lecturer.url}}">{% endif %}
          <div class="feature-icon">
            {% if not lecturer.avatar %}
                {% set names = lecturer.header|split(' ') %}
            {% else %}
                {% set names = '' %}
            {% endif %}
            <figure class="avatar avatar-xl" {% if names %}data-initial="{% for name in names|slice(0, 2) %}{{ name|slice(0, 1) }}{% endfor %}"{% endif %}>
            {% if lecturer.avatar %}
                {{ page.media[lecturer.avatar].html('Picture of ' ~ lecturer.header, 'Picture of ' ~ lecturer.header) }}
            {% endif %}
            </figure>
            {% if lecturer.header %}&nbsp;
               <h6>{{ lecturer.header }}</h6>
            {% endif %}
          </div>
          {% if lecturer.url %}</a>{% endif %}
          <div class="feature-content">
             {% if lecturer.text %}
             {{ lecturer.text | markdown }}
             {% endif %}
          </div>
       </div>
    {% endfor %}
    </div>
  </section>
</section>
